nxt.messaging

## Class PrunableMessageHome.PrunableMessage

- java.lang.Object
- - nxt.messaging.PrunableMessageHome.PrunableMessage

- Enclosing class:
    PrunableMessageHome

      public final class PrunableMessageHome.PrunableMessage
      extends java.lang.Object

- - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `byte[]` | `decrypt(byte[] sharedKey)`
    `byte[]` | `decrypt(java.lang.String secretPhrase)`
    `boolean` | `encryptedMessageIsText()`
    `int` | `getBlockTimestamp()`
    `Chain` | `getChain()`
    `EncryptedData` | `getEncryptedData()`
    `byte[]` | `getFullHash()`
    `int` | `getHeight()`
    `long` | `getId()`
    `byte[]` | `getMessage()`
    `long` | `getRecipientId()`
    `long` | `getSenderId()`
    `int` | `getTransactionTimestamp()`
    `boolean` | `isCompressed()`
    `boolean` | `messageIsText()`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Method Detail

    - #### getMessage

          public byte[] getMessage()

    - #### getEncryptedData

          public EncryptedData getEncryptedData()

    - #### messageIsText

          public boolean messageIsText()

    - #### encryptedMessageIsText

          public boolean encryptedMessageIsText()

    - #### isCompressed

          public boolean isCompressed()

    - #### getId

          public long getId()

    - #### getFullHash

          public byte[] getFullHash()

    - #### getSenderId

          public long getSenderId()

    - #### getRecipientId

          public long getRecipientId()

    - #### getTransactionTimestamp

          public int getTransactionTimestamp()

    - #### getBlockTimestamp

          public int getBlockTimestamp()

    - #### getHeight

          public int getHeight()

    - #### getChain

          public Chain getChain()

    - #### decrypt

          public byte[] decrypt(java.lang.String secretPhrase)

    - #### decrypt

          public byte[] decrypt(byte[] sharedKey)